"use strict";
var id = 0;
function nextId() {
    id += 1;
    return id;
}
var UniqueReducible = (function () {
    function UniqueReducible() {
        this.globallyUniqueId = nextId();
    }
    Object.defineProperty(UniqueReducible.prototype, "uniqueId", {
        get: function () {
            return this.globallyUniqueId;
        },
        enumerable: true,
        configurable: true
    });
    UniqueReducible.prototype.clone = function () {
        var clone = this.createInstance();
        this.cloneOverride(clone);
        return clone;
    };
    UniqueReducible.prototype.cloneOverride = function (clone) {
        clone.globallyUniqueId = this.globallyUniqueId;
    };
    return UniqueReducible;
}());
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = UniqueReducible;
