export default class Status {
    private isSynchronized;
    private isModified;
    private isRremoved;
    private isFresh;
    private isPending;
    constructor(synchronized?: boolean);
    readonly synchronized: boolean;
    readonly fresh: boolean;
    readonly added: boolean;
    readonly modified: boolean;
    readonly removed: boolean;
    readonly pending: boolean;
    setDecayed(): Status;
    setModified(): Status;
    setUnmodified(): Status;
    setRemoved(): Status;
    setUnremoved(): Status;
    setPending(): Status;
    setReady(): Status;
    private clone();
}
