import { I18nBundle } from 'pretur.i18n';
import { Validator } from 'pretur.validation';
import { Action, Dispatch } from 'pretur.redux';
import StatusReporter from './StatusReporter';
declare class Value<T> extends StatusReporter {
    private originalValue;
    private valueValidator;
    private rawValue;
    private errorBundle;
    constructor(validator: Validator<T> | null, synchronized: boolean, value: T);
    readonly value: T;
    readonly original: this | null;
    readonly error: I18nBundle | null;
    reduce(action: Action<any, any>): this;
    clear(dispatch: Dispatch): void;
    decay(dispatch: Dispatch): void;
    set(dispatch: Dispatch, value: T): void;
    setError(dispatch: Dispatch, error: I18nBundle): void;
    protected checkValidity(): boolean;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
export default Value;
