import { Action, Dispatch } from 'pretur.redux';
import { QueryFilters } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
export default class Filterer extends UniqueReducible {
    private queryFilters;
    constructor(filters?: QueryFilters);
    readonly filters: QueryFilters;
    get(field: string): any;
    readonly plain: QueryFilters | null;
    reduce(action: Action<any, any>): this;
    setAll(dispatch: Dispatch, filters: QueryFilters): void;
    setFilter(dispatch: Dispatch, field: string, filter: any): void;
    clearFilter(dispatch: Dispatch, field: string): void;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
