import { Action } from 'pretur.redux';
import { QueryInclude } from 'pretur.sync';
import { Map } from 'immutable';
import UniqueReducible from '../UniqueReducible';
import SubQuerier from './SubQuerier';
export default class Includer extends UniqueReducible {
    private includedSubQueriers;
    constructor(include?: QueryInclude);
    readonly subQueriers: Map<string, SubQuerier | boolean>;
    readonly plain: QueryInclude | null;
    reduce(action: Action<any, any>): this;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
