import { Action, Dispatch } from 'pretur.redux';
import { QueryOrder, Ordering } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
export default class Orderer extends UniqueReducible {
    private queryOrderField;
    private queryOrderOrdering;
    private queryOrderChain;
    constructor(order?: QueryOrder);
    readonly field: string;
    readonly ordering: Ordering;
    readonly chain: string[] | undefined;
    readonly plain: QueryOrder | null;
    reduce(action: Action<any, any>): this;
    set(dispatch: Dispatch, field: string, ordering?: Ordering, chain?: string[]): void;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
