import { Action } from 'pretur.redux';
import { Query } from 'pretur.sync';
import Value from '../data/Value';
import UniqueReducible from '../UniqueReducible';
import Includer from './Includer';
import Filterer from './Filterer';
import Attributor from './Attributor';
import Paginator from './Paginator';
import Orderer from './Orderer';
export default class Querier extends UniqueReducible {
    private queryModel;
    private queryById;
    private queryCount;
    private queryIncluder;
    private queryFilterer;
    private queryAttributor;
    private queryPaginator;
    private queryOrderer;
    private queryExtra;
    private shouldExtraCausePaginationReset;
    constructor(query: Query | null, shouldExtraCausePaginationReset?: boolean);
    readonly model: string;
    readonly byId: number;
    readonly count: boolean;
    readonly includer: Includer;
    readonly filterer: Filterer;
    readonly attributor: Attributor;
    readonly paginator: Paginator;
    readonly orderer: Orderer;
    readonly extra: Value<any>;
    readonly plain: Query;
    reduce(action: Action<any, any>): this;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
