import { Action } from 'pretur.redux';
import { SubQuery } from 'pretur.sync';
import UniqueReducible from '../UniqueReducible';
import Includer from './Includer';
import Filterer from './Filterer';
import Attributor from './Attributor';
export default class SubQuerier extends UniqueReducible {
    private subQueryIncluder;
    private subQueryFilterer;
    private subQueryAttributor;
    private subQueryRequired;
    constructor(subquery: SubQuery | null);
    readonly includer: Includer;
    readonly filterer: Filterer;
    readonly attributor: Attributor;
    readonly plain: SubQuery;
    reduce(action: Action<any, any>): this;
    protected cloneOverride(clone: this): void;
    protected createInstance(): this;
}
